MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029973Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2018-07-19 18:132018-07-28 12:38
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0029973: Modeling Algorithms - access violation within BRepAlgoAPI_Cut on empty input shape
DescriptionBRepAlgoAPI_Cut crashes with access violation when input shape is an empty compound.
Steps To Reproduce
pload MODELING QAcommands
compound c
box b 1 2 3
OCC25446 r b c 2

Result is KO:
** Exception ** 0000020BB8F0C5A0 : OSD_Exception_ACCESS_VIOLATION: ACCESS VIOLATION at address 0x0000000000000060 
during 'READ' operatio


The same input for bcut:
pload MODELING
compound c
box b 1 2 3
bcut r c b

Result is OK:
> Warning: Some of the arguments are empty shapes
TagsNo tags attached.
Test case numberbugs/modalg_7/bug29973_1, bugs/modalg_7/bug29973_2
Attached Files

- Relationships

-  Notes
(0077855)
git (administrator)
2018-07-20 15:21

Branch CR29973 has been created by emv.

SHA-1: f6da6b6caa9ac3251574e86cda7be788d6f60071


Detailed log of new commits:

Author: emv
Date: Fri Jul 20 15:16:50 2018 +0300

    0029973: Modeling Algorithms - access violation within BRepAlgoAPI_Cut on empty input shape
    
    Boolean Operations algorithm has been improved to handle the cases with empty shapes arguments correctly.
    Test cases for the issue.
(0077916)
git (administrator)
2018-07-23 07:28

Branch CR29973 has been updated forcibly by emv.

SHA-1: 5a432c472f5873c5692834f82d91b5e4258b97cf
(0077920)
emv (developer)
2018-07-23 11:54

Dear Mikhail, could you please review the git branch CR29973?

Test results - http://jenkins-test-11.nnov.opencascade.com:8080/view/CR29973-master-emv/view/COMPARE/ [^]
(0077925)
msv (developer)
2018-07-23 15:04

src/BOPAlgo/BOPAlgo_BOP.cxx
- 221: possibly uninitialized value is assigned.
- 276: misprint 'dependiing'
(0077928)
git (administrator)
2018-07-23 16:21

Branch CR29973 has been updated by emv.

SHA-1: 45a22f3de021bbe7eafadc4c32c5ebf18370461a


Detailed log of new commits:

Author: emv
Date: Mon Jul 23 16:20:19 2018 +0300

    # Corrections according to remarks.

(0077968)
emv (developer)
2018-07-24 16:31

Please review again.
(0077979)
msv (developer)
2018-07-24 19:09

Reviewed.
(0078012)
bugmaster (administrator)
2018-07-25 19:04

Combination -
OCCT branch : CR29973 SHA - 45a22f3de021bbe7eafadc4c32c5ebf18370461a
Products branch : master SHA - 5bf9109bd22e12bf80de2694686cfbf63bba4b6f
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 16920.210000000014 / 17220.20999999982 [-1.74%]
Products
Total CPU difference: 7430.5400000000445 / 7395.360000000046 [+0.48%]
Windows-64-VC10:
OCCT
Total CPU difference: 16861.05608299857 / 17014.420666098493 [-0.90%]
Products
Total CPU difference: 8251.345292899883 / 8218.070279599868 [+0.40%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0078139)
git (administrator)
2018-07-28 12:38

Branch CR29973 has been deleted by inv.

SHA-1: 45a22f3de021bbe7eafadc4c32c5ebf18370461a

- Related Changesets
occt: master 3dc58095
Timestamp: 2018-07-20 12:16:50
Author: emv
Committer: bugmaster
Details ] Diff ]
0029973: Modeling Algorithms - access violation within BRepAlgoAPI_Cut on empty input shape

Boolean Operations algorithm has been improved to handle the cases with empty shapes arguments correctly.
Test cases for the issue.
mod - src/BOPAlgo/BOPAlgo_BOP.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_BuilderShape.hxx Diff ] File ]
mod - src/BRepTools/BRepTools_History.cxx Diff ] File ]
mod - src/BRepTools/BRepTools_History.hxx Diff ] File ]
add - tests/bugs/modalg_7/bug29973_1 Diff ] File ]
add - tests/bugs/modalg_7/bug29973_2 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-07-19 18:13 kgv New Issue
2018-07-19 18:13 kgv Assigned To => msv
2018-07-19 18:20 msv Assigned To msv => emv
2018-07-19 18:20 msv Status new => assigned
2018-07-20 15:21 git Note Added: 0077855
2018-07-23 07:28 git Note Added: 0077916
2018-07-23 11:54 emv Note Added: 0077920
2018-07-23 11:54 emv Assigned To emv => msv
2018-07-23 11:54 emv Status assigned => resolved
2018-07-23 15:04 msv Note Added: 0077925
2018-07-23 15:04 msv Assigned To msv => emv
2018-07-23 15:04 msv Status resolved => assigned
2018-07-23 16:21 git Note Added: 0077928
2018-07-24 16:31 emv Note Added: 0077968
2018-07-24 16:31 emv Assigned To emv => msv
2018-07-24 16:31 emv Status assigned => resolved
2018-07-24 19:09 msv Note Added: 0077979
2018-07-24 19:09 msv Assigned To msv => bugmaster
2018-07-24 19:09 msv Status resolved => reviewed
2018-07-25 18:41 bugmaster Test case number => bugs/modalg_7/bug29973_1, bugs/modalg_7/bug29973_2
2018-07-25 18:42 bugmaster Status reviewed => tested
2018-07-25 19:04 bugmaster Note Added: 0078012
2018-07-28 12:26 bugmaster Changeset attached => occt master 3dc58095
2018-07-28 12:26 bugmaster Status tested => verified
2018-07-28 12:26 bugmaster Resolution open => fixed
2018-07-28 12:38 git Note Added: 0078139


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker